savehistory {utils} | R Documentation

## Load or Save or Display the Commands History

### Description

Load or save or display the commands history.

### Usage

    loadhistory(file = ".Rhistory")
    savehistory(file = ".Rhistory")
    history(max.show = 25, reverse = FALSE)

### Arguments

`file` | The name of the file in which to save the history, or from which to load it. The path is relative to the current working directory.
`max.show` | The maximum number of lines to show. `Inf` will give all of the currently available history.
`reverse` | logical. If true, the lines are shown in reverse order. Note: this is not useful when there are continuation lines.

### Details

There are several history mechanisms available for the different R consoles, which work in similar but not identical ways. Other uses of R, in particular embedded uses, may have no history. This works under the `readline` and GNOME and MacOS X consoles, but not if `readline` is not available (for example, in batch use or in an embedded application).

The `readline` history mechanism is controlled by two environment variables: `R_HISTSIZE` controls the number of lines that are saved (default 512), and `R_HISTFILE` sets the filename used for the loading/saving of history if requested at the beginning/end of a session (but not the default for these functions). There is no limit on the number of lines of history retained during a session, so setting `R_HISTSIZE` to a large value has no penalty unless a large file is actually generated.

These variables are read at the time of saving, so can be altered within a session by the use of `Sys.putenv`.

### Note

If you want to save the history (almost) every session, you can put a call to `savehistory()` in `.Last`.

### Examples

    ## Not run:
    .Last <- function()
        if(interactive()) try(savehistory("~/.Rhistory"))
    ## End(Not run)

[Package utils version 2.2.1 Index]